package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCampaignProductType {

    COUPON(1, "券"),
    ACTIVITY_JOIN(2, "活动报名"),;

    public static EnumCampaignProductType getEnum(Integer code) {
        for (EnumCampaignProductType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCampaignProductType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
